Bug 736835 - PowerDevil suspends when first of 2 batteries is empty
Summary: PowerDevil suspends when first of 2 batteries is empty
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: kdebase-workspace
Version: 15
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Lukáš Tinkl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-08 19:48 UTC by Sebastian Krieg
Modified: 2015-07-13 17:35 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-07 16:59:21 UTC


Attachments (Terms of Use)

Description Sebastian Krieg 2011-09-08 19:48:52 UTC
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Sebastian Krieg 2011-09-08 19:59:37 UTC
sorry, click to fast...

Description of problem:
I'm using a lenovo x1 with a slice battery 39+. Acpitool shows two batteries (example):
  Battery #1     : charged, 100.0%
  Battery #2     : discharging, 95.34%, 02:08:48
  All batteries  : 97.69%, 04:27:00
  AC adapter     : off-line 
  Thermal info   : <not available>
KDE shows also two batteries, but after discharging the internal battery the KDE goes to sleep. The second battery is full charged.

Version-Release number of selected component (if applicable):
I don't know, which package from kde4 contains the energy management.

How reproducible:
Using the laptop with two batteries reproduce the situation everytime.

Steps to Reproduce:
1. Use the slice battery.
2. Full charge the batteries.
3. Change from AC to BAT.
4. Discharge the internal battery.
5. KDE go sleep when bat0 = 0% and bat1 = 100%.

Actual results:
minor operating time 

Expected results:
normal operating time

Additional info:

Comment 2 Lukáš Tinkl 2011-09-09 10:31:04 UTC
Please provide the output from: "upower  --dump"

Comment 3 Sebastian Krieg 2011-09-25 18:08:49 UTC
Hi, here is the output from "upower --dump":

Device: /org/freedesktop/UPower/devices/line_power_AC
  native-path:          /sys/devices/LNXSYSTM:00/device:00/PNP0A08:00/device:09/PNP0C09:00/ACPI0003:00/power_supply/AC
  power supply:         yes
  updated:              Sun Sep 25 20:08:09 2011 (39 seconds ago)
  has history:          no
  has statistics:       no
  line-power
    online:             no

Device: /org/freedesktop/UPower/devices/battery_BAT0
  native-path:          /sys/devices/LNXSYSTM:00/device:00/PNP0A08:00/device:09/PNP0C09:00/PNP0C0A:00/power_supply/BAT0
  vendor:               SMP
  model:                42T4937
  serial:               159
  power supply:         yes
  updated:              Sun Sep 25 20:08:44 2011 (4 seconds ago)
  has history:          yes
  has statistics:       yes
  battery
    present:             yes
    rechargeable:        yes
    state:               discharging
    energy:              51.9776 Wh
    energy-empty:        0 Wh
    energy-full:         52.17 Wh
    energy-full-design:  57.6016 Wh                                                                                                                                                             
    energy-rate:         0 W                                                                                                                                                                    
    voltage:             16.316 V                                                                                                                                                               
    percentage:          99.6312%                                                                                                                                                               
    capacity:            90.5704%                                                                                                                                                               
    technology:          lithium-polymer                                                                                                                                                        
                                                                                                                                                                                                
Device: /org/freedesktop/UPower/devices/battery_BAT1                                                                                                                                            
  native-path:          /sys/devices/LNXSYSTM:00/device:00/PNP0A08:00/device:09/PNP0C09:00/PNP0C0A:01/power_supply/BAT1                                                                         
  vendor:               SMP                                                                                                                                                                     
  model:                42T4978                                                                                                                                                                 
  serial:               1132                                                                                                                                                                    
  power supply:         yes                                                                                                                                                                     
  updated:              Sun Sep 25 20:08:44 2011 (4 seconds ago)                                                                                                                                
  has history:          yes                                                                                                                                                                     
  has statistics:       yes                                                                                                                                                                     
  battery                                                                                                                                                                                       
    present:             yes
    rechargeable:        yes
    state:               discharging
    energy:              38.3172 Wh
    energy-empty:        0 Wh
    energy-full:         38.517 Wh
    energy-full-design:  39.4272 Wh
    energy-rate:         18.6924 W
    voltage:             12.18 V
    time to empty:       2.0 hours
    percentage:          99.4813%
    capacity:            97.6914%
    technology:          lithium-polymer
  History (charge):
    1316974124  99.481  discharging
    1316974094  99.971  discharging
  History (rate):
    1316974124  18.692  discharging
    1316974094  19.281  discharging
    1316974092  21.123  discharging

Daemon:
  daemon-version:  0.9.12
  can-suspend:     yes
  can-hibernate    yes
  on-battery:      yes
  on-low-battery:  no
  lid-is-closed:   no
  lid-is-present:  yes
  is-docked:       no

Comment 4 Fedora End Of Life 2012-08-07 16:59:23 UTC
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.